function L = loglike(A, S)
%***************************************************************************
%                              AutoSplit: loglike
%   This source code is (c) Copyright 2002 by Jia-Yu Pan (Computer
%   Science Department, Carnegie Mellon University).
%   It may not be redistributed without the express consent of the 
%   author.
%***************************************************************************
%
% compute log P(X|A) 
%       = sum log(P(x_i|A))
%
%       for each x_i (column),
%       log P(x_i|A)
%       = log( P(s_i)/abs(det(A)) )
%       = log(P(s_i)) - log(abs(det(A)))
%       = (sum log(P(s_i_m))) - sum(log(abs(eigenvalues)))
%       ~ sum (-abs(s_i_m)) - sum(log(abs(eigenvalues)))
%

%%% compute log(abs(det(A)))
E = eig(A);
E = abs(E);
E = log(E);
%
logDetA = sum(E);

%%% compute log(P(s_i))
tmp1 = abs(S);
tmp1 = -tmp1;
part1 = sum(tmp1);

L = part1 - repmat(logDetA, [1 length(part1)]);

%%% P(x_1,...,x_n | A ) 
L = sum(L);

return;
