function r = unidrnd(n,mm,nn)
%***************************************************************************
%                              unidrnd
%   This source code is (c) Copyright 2002 by Michael Lewicki (Computer
%   Science Department, Carnegie Mellon University).
%   It may not be redistributed without the express consent of the 
%   author.
%***************************************************************************
%UNIDRND Random matrices from the discrete uniform distribution.
%   R = UNIDRND(N) returns a matrix of random numbers chosen 
%   uniformly from the set {1, 2, 3, ... ,N}.
%
%   The size of R is the size of N. Alternatively, 
%   R = UNIDRND(N,MM,NN) returns an MM by NN matrix. 

    r = ceil(n .* rand(mm,nn));
